use std::collections::HashMap;

pub fn get_package_install_list(args: Vec<String>) -> HashMap<String, bool>{
    let mut archive = false;
    let mut packages: HashMap<String, bool> = HashMap::new();
    for arg in args {
        match arg.as_str() {
            "-r" | "--remote" => {
                archive = false;
            }
            "-a" | "--archive"=> {
                archive = true;
            }
            _ => {
                if !arg.starts_with("-") {
                    packages.insert(arg, archive);
                } else {
                    panic!("Unknown flag '{arg}'");
                }
            }
        }
    }
    packages
}