use toml::value::{Array, Table};
use serde_derive::Deserialize;

/// Represents a Package.toml file.
#[derive(Deserialize, Debug)]
pub struct PackageData {
    #[serde(rename(deserialize = "gaypk-version"))]
    pub gaypk_version: u64,
    pub name: String,
    pub version: String,
    pub revision: u64,
    pub scripts: Array,
    pub exclude: Array,
    pub dependencies: Table
}
pub fn read_package(data: String) -> PackageData {
    toml::from_str(data.as_str()).expect("Parse failed!")
}